Skip to main content
GET
/
v1
/
communications
/
groups
/
{id}
Shows a communications group
curl --request GET \
  --url https://api.rootly.com/v1/communications/groups/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "communications_groups",
    "attributes": {
      "name": "<string>",
      "communication_type_id": "<string>",
      "is_private": true,
      "condition_type": "any",
      "sms_channel": true,
      "email_channel": true,
      "created_at": "<string>",
      "updated_at": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "communication_group_conditions": [
        {
          "property_type": "service",
          "service_ids": [
            "<string>"
          ],
          "severity_ids": [
            "<string>"
          ],
          "functionality_ids": [
            "<string>"
          ],
          "group_ids": [
            "<string>"
          ],
          "incident_type_ids": [
            "<string>"
          ]
        }
      ],
      "member_ids": [
        123
      ],
      "slack_channel_ids": [
        "<string>"
      ],
      "communication_external_group_members": [
        {
          "id": "<string>",
          "name": "<string>",
          "email": "<string>",
          "phone_number": "<string>"
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Communications Group ID

Response

communications group found

data
object
required